# Must be sync with helix !

%define name	helixplayer-real-codecs

%define version	1.0.8
%define realver 10.0.8
%define release %mkrel 1
%define distsuffix plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:  	Codecs pack for helixplayer
Source0:	https://helixcommunity.org/download.php/1949/realplay-%realver-source.tar.bz2
Patch0:		helixplayer-1.0.5-fix-include.patch.bz2
# from fedora
Patch1:		HelixPlayer-1.0.3-disable-asm.patch.bz2
Patch2:		helixplayer-1.0.5-gcc4-detection-fix.patch.bz2
Patch3:         helixplayer-1.0.8-nptl.patch.bz2
Patch4:		realplay-1.0.8-makethisdamnthingbuild.patch.bz2
License:	Freeware
Group:		Video
Url:		http://www.helixcommunity.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libtheora-devel
BuildRequires:	libogg-devel
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires: 	X11-devel
BuildRequires:  libvorbis-devel
BuildRequires:	python
Requires:	helixplayer
Conflicts:	helixplayer-helix-codecs 
Provides:	helixplayer-codecs = %{version}

%description
Realplayer codecs for helixplayer. 

This package is in PLF because of Mandriva Linux policy forbidding
non-free software.

%prep
%setup -q -n realplay-%realver
%patch0
%patch1 -p1
%patch2
%patch3
%patch4
%build

# @#! buildsystem

mkdir -p datatype_dist/rm/audio/codec/ra8hbr/dbg datatype_dist/aac/codec/helixaac/dbg datatype_dist/rm/audio/codec/ra8lbr/fltpt/dbg datatype_dist/rm/video/codec/rv1dec/dbg datatype_dist/rm/audio/codec/sipro/dbg datatype_dist/rm/video/codec/common/dbg datatype_dist/rm/audio/common/dbg datatype_dist/rm/video/codec/rv89combo/dbg datatype_dist/flash/fileformat/dbg datatype_dist/rm/fileformat/dbg datatype_dist/rm/audio/renderer/dbg datatype_dist/rm/common/dbg datatype_dist/rm/video/common/dbg datatype_dist/flash/renderer/dbg protocol_dist/rtsp/dbg datatype_dist/rm/video/codec/rvg2dec/dbg/ datatype_dist/flash/common/dbg/ datatype_dist/rm/video/payload/dbg/ protocol_dist/pna/dbg/

pushd distribution/linux-2.2-libc6-gcc32-i586
cp datatype_dist/rm/audio/codec/ra8hbr/ra8hbr.a ../../datatype_dist/rm/audio/codec/ra8hbr/dbg/ra8hbr.a
cp datatype_dist/aac/codec/helixaac/aacplusdec.a ../../datatype_dist/aac/codec/helixaac/dbg/aacplusdec.a
cp datatype_dist/rm/audio/codec/ra8lbr/fltpt/ra8lbrdec.a ../../datatype_dist/rm/audio/codec/ra8lbr/fltpt/dbg/ra8lbrdec.a
cp datatype_dist/rm/video/codec/rv1dec/rv10lib.a ../../datatype_dist/rm/video/codec/rv1dec/dbg/rv10lib.a
cp datatype_dist/rm/audio/codec/sipro/sipro.a ../../datatype_dist/rm/audio/codec/sipro/dbg/sipro.a
cp datatype_dist/rm/video/codec/common/rvcodcomlib.a ../../datatype_dist/rm/video/codec/common/dbg/rvcodcomlib.a
cp datatype_dist/rm/audio/common/racomlib.a ../../datatype_dist/rm/audio/common/dbg/racomlib.a
cp datatype_dist/rm/video/codec/rv89combo/*.a ../../datatype_dist/rm/video/codec/rv89combo/dbg/
cp datatype_dist/flash/fileformat/swfformatlib.a ../../datatype_dist/flash/fileformat/dbg/swfformatlib.a
cp datatype_dist/rm/fileformat/rmfflib.a ../../datatype_dist/rm/fileformat/dbg/rmfflib.a
cp datatype_dist/rm/audio/renderer/rarender.a ../../datatype_dist/rm/audio/renderer/dbg/rarender.a
cp datatype_dist/rm/common/rmcomlib.a ../../datatype_dist/rm/common/dbg/rmcomlib.a
cp datatype_dist/rm/video/common/rvcomlib.a ../../datatype_dist/rm/video/common/dbg/rvcomlib.a
cp datatype_dist/flash/renderer/swfrenderlib.a ../../datatype_dist/flash/renderer/dbg/swfrenderlib.a
cp protocol_dist/rtsp/rdtclntlib.a ../../protocol_dist/rtsp/dbg/rdtclntlib.a
cp datatype_dist/aac/codec/helixaac/raacdeclib.a ../../datatype_dist/aac/codec/helixaac/dbg/raacdeclib.a
cp datatype_dist/rm/video/codec/rv1dec/drv1lib.a ../../datatype_dist/rm/video/codec/rv1dec/dbg/drv1lib.a
cp datatype_dist/rm/video/codec/rvg2dec/*.a ../../datatype_dist/rm/video/codec/rvg2dec/dbg/
cp datatype_dist/flash/common/*.a ../../datatype_dist/flash/common/dbg/ 
cp datatype_dist/rm/video/payload/*.a ../../datatype_dist/rm/video/payload/dbg/
cp protocol_dist/pna/*.a ../../protocol_dist/pna/dbg/
popd

echo 'SetSDKPath("oggvorbissdk", "/usr")' > buildrc
export BUILD_ROOT=$PWD/build
export BUILDRC=$PWD/buildrc
export PATH="$BUILD_ROOT/bin;$PATH"
python $PWD/build/bin/build.py -m realplay_gtk_release -P helix-client-all-defines  player_all


# for the %doc section.
cp ./player/installer/archive/temp/{README,LICENSE} ./

%install
rm -rf $RPM_BUILD_ROOT

# this build system leave the program in: 
# %buildroot/player/installer/archive/temp

# preparing directory structure
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/helixplayer-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/helixplayer-%{version}/plugins
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/helixplayer-%{version}/common
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/helixplayer-%{version}/codecs

# since all that we want to install is in this directory ...
cd player/installer/archive/temp

install -m755 codecs/*.so -D $RPM_BUILD_ROOT%{_libdir}/helixplayer-%{version}/codecs
install -m755 plugins/*.so -D $RPM_BUILD_ROOT%{_libdir}/helixplayer-%{version}/plugins
install -m755 common/*.so -D $RPM_BUILD_ROOT%{_libdir}/helixplayer-%{version}/common

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE

%{_libdir}/helixplayer-%{version}/common/*
%{_libdir}/helixplayer-%{version}/plugins/*
%{_libdir}/helixplayer-%{version}/codecs/*


%changelog
* Tue Aug 22 2006 Couriousous <couriousous@zarb.org> 1.0.8-1plf
- 1.0.8
- Don't checkout from Real internal CVS

* Wed May  3 2006 Götz Waschk <goetz@zarb.org> 1.0.7-1plf
- new version

* Fri Sep 30 2005 Couriousous <couriousous@zarb.org> 1.0.6-1plf
- 1.0.6

* Tue Jul 05 2005 Couriousous <couriousous@zarb.org> 1.0.5-1plf
- 1.0.5

* Wed Apr 20 2005 Couriousous <couriousous@zarb.org> 1.0.4.752-1plf
- 1.0.4

* Sat Mar 05 2005 Couriousous <couriousous@zarb.org> 1.0.3.749-1plf
- 1.0.3

* Mon Jan 31 2005 Couriousous <couriousous@zarb.org> 1.0.2.610-2plf
- Fix license

* Fri Dec 18 2004 Couriousous <couriousous@zarb.org> 1.0.2.610-1plf
- 1.0.2 Final release

* Tue Sep 30 2004 Couriousous <couriousous@zarb.org> 1.0.1.436-1plf
- Final 1.0.1 release

* Fri Sep 17 2004 Couriousous <couriousous@zarb.org> 1.0.1.407-0.20040916.1plf
- First PLF release
